unit RoomListUnit;

interface

uses Classes, SysUtils, ThingUnit, ThingHolderUnit, RoomUnit;

type
  RoomList = class(ThingHolder)
    function GetRoom(num: integer): Room;
    procedure WriteToStream(fs: TFileStream); override;
    procedure ReadFromStream(fs: TFileStream); override;
  end;

implementation

function RoomList.GetRoom(num: integer): Room;
begin
  result := Room(_things.Items[num]);
end;

procedure RoomList.WriteToStream(fs: TFileStream);
begin
  inherited WriteToStream(fs);
end;

procedure RoomList.ReadFromStream(fs: TFileStream);
begin
  inherited ReadFromStream(fs);
end;

end.
